org.glassfish.jersey.server.model

## Interface Producing

All Known Implementing Classes:
  ResourceMethod

    public interface Producing

Model component that is able to produce media types. A component implementing this interface provides additional information about the supported produced `media types`.

Author:
  Jakub Podlesak, Marek Potociar
See Also:
  `Produces`, `Consuming`

### Method Summary

All Methods Instance Methods Abstract Methods
`List<jakarta.ws.rs.core.MediaType>` `getProducedTypes()` Get the produced media types supported by the component.

### Method Detail

#### getProducedTypes

    List<jakarta.ws.rs.core.MediaType> getProducedTypes()

Get the produced media types supported by the component.

Returns:
  immutable collection of supported produced media types.